# WXWIN = Environment variable set when compiling the wxWindows libraries.
WXPATH=$(WXWIN)
BPATH=$(MAKEDIR)
INCLUDEPATH=$(BPATH)\..\include
LIBPATH=$(BPATH)\..\lib
WXLIBPATH=$(LIBPATH);$(WXPATH)\lib
WXINCLUDEPATH=$(INCLUDEPATH);$(WXPATH)\lib\msw;$(WXPATH)\include;$(WXPATH)\contrib\include;$(WXPATH)\src\iodbc;$(WXPATH)\src\regex;$(WXPATH)\src\generic;$(WXPATH)\src\png;$(WXPATH)\src\jpeg;$(WXPATH)\src\zlib;$(WXPATH)\src\tiff;

# Defines needed for wxWindows
WXDEFINE=-D__WXWIN__ -D__WXMSW__ -D__WINDOWS__ -DWIN32 -DWXDEBUG=1 -D__WXDEBUG__ -DUSE_DEFINE -D__WIN95__ -D__WINDOWS__

ARCHINCDIR=$(WXPATH)\lib\msw
ARCHSETUPH=$(ARCHINCDIR)\wx\setup.h

CC=$(BPATH)\bcc32
RC=$(BPATH)\brcc32
LINK=$(BPATH)\ilink32

SYSOBJS=c0w32.obj
SYSLIBS=cw32mt.lib import32.lib ole2w32.lib
WXLIBS=wx24ds_bcc.lib

# -a1 means align on 1 byte (default = 4 bytes) needed to compile wxWindows prog.
CFLAGS=-tWM -Od -v -vi- -y -tWM -H- -a1 $(WXDEFINE) -I$(WXINCLUDEPATH)
LFLAGS=-Tpe -aa -x -Gn -L$(WXLIBPATH)
RFLAGS=-32 -i$(WXINCLUDEPATH)

# Here, change the name according to your needs.
# Project is the executable name.
# Unit1 is the name of the unit containing your source code (.cpp).
# You can add multiple files on the same line (if you have several
# source files).
# project is the name of your resource file (.rc)
# Don't put .cpp extension or .rc extension, instead, replace .cpp
# with .obj to tell make to compile the file as an object file.
# The same applies to .rc files.
PROJECT=Project.exe
OBJS=Unit1.obj
RES=project.res
LIBS=

.autodepend

all: $(PROJECT)

$(PROJECT): $(OBJS) $(RES)
	$(LINK) $(LFLAGS) $(OBJS) $(SYSOBJS), $(PROJECT),, $(SYSLIBS) $(WXLIBS) $(LIBS), ,$(RES)

.cpp.obj:
	$(CC) -c $(CFLAGS) $<

.cc.obj:
	$(CC) -c $(CFLAGS) $<

.c.obj:
	$(CC) -c $(CFLAGS) $<

.rc.res:
	$(RC) $(RFLAGS) $<
